from common.permissions import IsStaffOrStudent, \
    IsStaffOrReadOnlyForAuthenticated
from rest_framework import viewsets, permissions
from mentors.models import Mentor
from mentors.serializers import MentorSerializer


class MentorsViewSet(viewsets.ModelViewSet):
    serializer_class = MentorSerializer
    permission_classes = (
        permissions.IsAuthenticated,
    )
    queryset = Mentor.objects.all().order_by('name')
